Bug 28021 - OPAC detail page contains incorrect Bootstrap classes (20.05.x)
Summary: OPAC detail page contains incorrect Bootstrap classes (20.05.x)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 20.05
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 27029
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-22 22:33 UTC by Lucas Gass
Modified: 2021-04-08 18:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch fixes some bad Bootstrap classes introduced to 20.05 via a bad backport.
Version(s) released in:
20.05.11


Attachments
Bug 28021: Fix Bootstrap classes (1.20 KB, patch)
2021-03-22 22:43 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28021: Fix Bootstrap classes (1.27 KB, patch)
2021-03-23 00:38 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28021: Fix Bootstrap classes (1.25 KB, patch)
2021-03-23 00:43 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28021: Fix Bootstrap classes (1.31 KB, patch)
2021-04-08 11:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-03-22 22:33:42 UTC
In 20.05.x the OPAC detail page contains the Bootstrap class 'col-lg-9' and not 'span9'. Since 20.05.x is not upgraded to Bootstrap 4 it cannot apply the correct CSS to OPAC detail page, making it display oddly.

To fix this in the short term you can use the following OPACUserJS:

if ( $('#opac-detail').length ) {
    $('#catalogue_detail_biblio').parent().addClass('span9').removeClass('col-lg-9');
}
Comment 2 Lucas Gass 2021-03-22 22:43:59 UTC
Created attachment 118629 [details] [review]
Bug 28021: Fix Bootstrap classes

To test:
-be on 20.05.x
-go to any OPAC detail page
-the maincontent stretchs across the entire page
-the action buttons (place hold, save to lists, print, ect) are pushed to the bottom of the page
-apply patch and reload page
-things are better
Comment 3 Andrew Fuerste-Henry 2021-03-23 00:38:59 UTC
Created attachment 118634 [details] [review]
Bug 28021: Fix Bootstrap classes

To test:
-be on 20.05.x
-go to any OPAC detail page
-the maincontent stretchs across the entire page
-the action buttons (place hold, save to lists, print, ect) are pushed to the bottom of the page
-apply patch and reload page
-things are better

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Amit Gupta 2021-03-23 00:43:00 UTC
Created attachment 118635 [details] [review]
Bug 28021: Fix Bootstrap classes

To test:
-be on 20.05.x
-go to any OPAC detail page
-the maincontent stretchs across the entire page
-the action buttons (place hold, save to lists, print, ect) are pushed to the bottom of the page
-apply patch and reload page
-things are better

Work OK.
Comment 5 Tomás Cohen Arazi 2021-04-08 11:47:44 UTC
Created attachment 119320 [details] [review]
Bug 28021: Fix Bootstrap classes

To test:
-be on 20.05.x
-go to any OPAC detail page
-the maincontent stretchs across the entire page
-the action buttons (place hold, save to lists, print, ect) are pushed to the bottom of the page
-apply patch and reload page
-things are better

Signed-off-by: Amit Gupta <amitddng135@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2021-04-08 11:48:17 UTC
Nice catch, Lucas.
Comment 7 Jonathan Druart 2021-04-08 13:39:02 UTC
Moving to 20.05 RMaint queue.
Comment 8 Andrew Fuerste-Henry 2021-04-08 13:57:20 UTC
Pushed to 20.05.x for 20.05.11, thanks!
Comment 9 Victor Grousset/tuxayo 2021-04-08 18:10:35 UTC
Missing dependencies for 19.11.x, it shouldn't be affected, no backport.